package org.springblade.command.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.command.pojo.entity.FzyjEntity;
import org.springblade.command.pojo.vo.FzyjVO;
import org.springblade.command.pojo.vo.GsdwVO;
import org.springblade.core.mp.base.BaseService;

import java.util.List;
import java.util.Map;

/**
 * 服务类
 *
 * @author Chill
 */
public interface IFzyjService extends BaseService<FzyjEntity> {

	IPage<FzyjVO> pageByDept(IPage<FzyjVO> page, Map<String, Object> params);

	int countByUserId(Long userId);

	int countByDept(Long id);

	int countYqsByUserId(Long userId);

	int countYqsByDept(Long id);

	int countYfkByUserId(Long userId);

	int countYfkByDept(Long id);

	FzyjVO detail(Long syncId);

	List<GsdwVO> getGsdwBySyncId(Long syncId);

    List<FzyjVO> getUnpushedFzyj();

	boolean updatePushStatus(Long syncId);

	List<FzyjVO> getUnpushedZp();
}
